# eric6.Helpviewer.GreaseMonkey.GreaseMonkeyAddScriptDialog

Module implementing a dialog for adding GreaseMonkey scripts..

### Global Attributes

None

### Classes

GreaseMonkeyAddScriptDialog | Class implementing a dialog for adding GreaseMonkey scripts..

### Functions

None

## GreaseMonkeyAddScriptDialog

Class implementing a dialog for adding GreaseMonkey scripts..

### Derived from

QDialog, Ui_GreaseMonkeyAddScriptDialog

### Class Attributes

None

### Class Methods

None

### Methods

GreaseMonkeyAddScriptDialog | Constructor
__accepted | Private slot handling the accepted signal.
on_showScriptSourceButton_clicked | Private slot to show an editor window with the source code.

### Static Methods

None

#### GreaseMonkeyAddScriptDialog (Constructor)

GreaseMonkeyAddScriptDialog(manager, script, parent=None)

Constructor

manager
  reference to the GreaseMonkey manager (GreaseMonkeyManager)
script
  GreaseMonkey script to be added (GreaseMonkeyScript)
parent
  reference to the parent widget (QWidget)

#### GreaseMonkeyAddScriptDialog.__accepted

__accepted()

Private slot handling the accepted signal.

#### GreaseMonkeyAddScriptDialog.on_showScriptSourceButton_clicked

on_showScriptSourceButton_clicked()

Private slot to show an editor window with the source code.

Up